#!/bin/bash
set -e

echo \#\#\# Does "$INSTALL_ARM_DIR/share/numpy-1.18.4-cp38-cp38-linux_aarch64.whl" exist?
if [ ! -f "$INSTALL_ARM_DIR/share/numpy-1.18.4-cp38-cp38-linux_aarch64.whl" ]
then
    source $SCRIPTPATH/venv/bin/activate

    pip install wheel
    build-pip install cython

    cd src
    rm -rf numpy*
    pip download numpy
    unzip -q ./numpy*
    rm numpy*zip
    cd numpy*
    python setup.py bdist_wheel

    cp dist/nump*whl $INSTALL_ARM_DIR/share
else
    echo \#\#\# YES
fi
