#!/bin/bash
source build-env.sh

if [ ! -f "$INSTALL_DIR/bin/pip" ]
then
    if [ ! -f "src/get-pip.py" ]
    then
        curl https://bootstrap.pypa.io/get-pip.py -o src/get-pip.py
    fi
    $INSTALL_DIR/bin/python$PY_MAJ src/get-pip.py
fi

if [ ! -d "$INSTALL_DIR/lib/python3.8/site-packages/crossenv" ]
then
    $INSTALL_DIR/bin/pip install crossenv
fi

echo \#\#\# Does venv exist?
if [ ! -d "venv" ]
then
    $INSTALL_DIR/bin/python$PY_MAJ -m crossenv --sysroot $ANDROID_PACKAGE/sysroot $INSTALL_ARM_DIR/bin/python$PY_MAJ venv
else
    echo \#\#\# YES
fi
